// HelpDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FleetPickOP.h"
#include "HelpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHelpDlg dialog


CHelpDlg::CHelpDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHelpDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHelpDlg)
	m_edit_help = _T("");
	m_str_help = _T("");
	//}}AFX_DATA_INIT
}


void CHelpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHelpDlg)
	DDX_Control(pDX, IDC_CBO_HELP, m_cbo_help);
	DDX_Text(pDX, IDC_STR_HELP, m_str_help);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHelpDlg, CDialog)
	//{{AFX_MSG_MAP(CHelpDlg)
	ON_CBN_SELCHANGE(IDC_CBO_HELP, OnSelchangeCboHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHelpDlg message handlers



BOOL CHelpDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	 OnCboHelp();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHelpDlg::OnCboHelp()
{
m_cbo_help.AddString("What is Fleet Pick?");
m_cbo_help.AddString("Revisions from ''v2.A - v2.B''");
m_cbo_help.AddString("TOPIC - 'Fleet Pick's Output Files'");
m_cbo_help.AddString("Drop Down Menu - ''Game Set''");
m_cbo_help.AddString("Edit Boxes - ''Player Team Ships - P1-P6''");
m_cbo_help.AddString("Edit Boxes - ''AI Team A Ships - A1 - A8''");
m_cbo_help.AddString("Edit Boxes - ''AI Team B Ships - B1 - B8''");
m_cbo_help.AddString("Drop Down Menu - ''Start Positions''");
m_cbo_help.AddString("Check Box - ''Host Selected''");
m_cbo_help.AddString("Check Box - ''Player Selected''");
m_cbo_help.AddString("Drop Down Menu - ''AI Difficulty''");
m_cbo_help.AddString("Button - ''View Map''");
m_cbo_help.AddString("Button - ''Ship Edit''");
m_cbo_help.AddString("Button - ''Save''");
m_cbo_help.AddString("Button - ''Delete''");
m_cbo_help.AddString("Button - ''Play''");
m_cbo_help.AddString("Button - ''Close''");
m_cbo_help.AddString("Button - ''About''");
m_cbo_help.AddString("TOPIC  ''Important Rules to Follow.''");
m_cbo_help.AddString("TOPIC  ''Mission Types''");
m_cbo_help.AddString("TOPIC ''Developer Notes''");


}
void CHelpDlg::OnSelchangeCboHelp() 
{
	// TODO: Add your control notification handler code here
    UpdateData(TRUE);
	int nIndex = m_cbo_help.GetCurSel();
    CString strCBText;
    m_cbo_help.GetLBText( nIndex, strCBText);

	if(strCBText == "What is Fleet Pick?")
	{
      m_str_help = _T("Fleet Pick is a customized multiplayer mission program that allows the Host Player to set up various types of skirmish battles for Starfleet Command II Orion Pirates.\nPlayers can choose between two teams, Team A or Team B and can have up to eight allied AI Team Ships on their side.\n\nThe Host can also designate ships, starbases, planets etc. for all Human Players by selecting the 'Host Selected' option or allow Human Players to select their own ships by choosing the 'Player Selected' option.\n\nAt the end of each match Fleet Pick will create a ''FleetPick Records.txt'' file on all user machines. This file will display all ship objects that were destroyed, disengaged, captured and remaining during the game. This feature makes Fleet Pick ideal for online Multiplayer Tournaments.");
	}
	if(strCBText == "Drop Down Menu - ''Game Set''")
	{
      m_str_help = _T("Use this control to enter the Custom Title for your Game Set\n\nExample: 'TEAM BASE ASSAULT'.");
	}
	if(strCBText == "Edit Boxes - ''Player Team Ships - P1-P6''")
	{
      m_str_help = _T("\n\nAdd ship destinations for Host Selected Player Teams.\nPlayer Team 1 - Player Team 6.\n\n i.e ''F-BCE'' <- Will work.\n F-BCE <- Will not work.");
	}
	if(strCBText == "Edit Boxes - ''AI Team A Ships - A1 - A8''")
	{
      m_str_help = _T("\n\nAdd ship destinations for AI 'A Team' Ships. A Team 1 - A Team 6.\n\n i.e ''R-XCA'' <- Will work.\n R-XCA <- Will not work.");
	}
	if(strCBText == "Edit Boxes - ''AI Team B Ships - B1 - B8''")
	{
      m_str_help = _T("\n\nAdd ship destinations for AI 'B Team' Ships. B Team 1 - B Team 6.\n\n i.e ''K-C7'' <- Will work.\n K-C7 <- Will not work.");
	}
	if(strCBText == "Drop Down Menu - ''Start Positions''")
	{
      m_str_help = _T("\n\nSets the start position for a ship.\n\nNOTE: This must be set for all Ships added to the Game Set.");
	}
	if(strCBText == "Check Box - ''Host Selected''")
	{
      m_str_help = _T("\n\nEnables the Player Team Ship edit boxes allowing the Host to select Ships for all Human Team Players.\n\nNOTE: If this feature is 'checked' by the Host, ALL Players must 'check' this feature as well and hit the 'PLAY' button from the dialog.");
	}
	if(strCBText == "Check Box - ''Player Selected''")
	{
      m_str_help = _T("\n\nDisables the Player Team Ship edit boxes allowing Human Team Players to select their own ships.\n\nNOTE: If this feature is 'checked' by the Host, ALL Players must 'check' this feature as well and hit the 'PLAY' button from the dialog.");
	}
	if(strCBText == "Drop Down Menu - ''AI Difficulty''")
	{
      m_str_help = _T("\n\nSets the AI Difficulty Level for the Game:\n\n     Captain: 'Easy'\n     Commodore:  'Average'\n     Admiral: 'Hard'");
	}
	if(strCBText == "Button - ''View Map''")
	{
      m_str_help = _T("\n\nDisplays the Map and current positions of the ships\nthat are entered by the user.");
	}
	if(strCBText == "Button - ''Ship Edit''")
	{
      m_str_help = _T("\n\nExecutes the Ship Edit Program for easy viewing and quick selection of the Ship Objects located on the ShipList.txt.\n\nShip Edit is a software product by Eagle Eye Software.\nDeveloped by Paul J. Schaefer and James E. Carter.");
	}
	if(strCBText == "Button - ''Save''")
	{
      m_str_help = _T("\n\nSaves the 'Game Set' for later use.\n\nNOTE: Always 'Save' your customized Game Set after any changes.");
	}
	if(strCBText == "Button - ''Delete''")
	{
      m_str_help = _T("\n\nDeletes a customized 'Game Set'.\n\nNOTE: If you wish to Delete all of your Game Sets simply delete the 'FPData.DAT' file located in your Fleet Pick folder.");
	}
	if(strCBText == "Button - ''Play''")
	{
      m_str_help = _T("\n\nSets your Game Set configuration for Starfleet Command II OP game play.");
	}
	if(strCBText == "Button - ''Close''")
	{
      m_str_help = _T("\n\nCloses the Fleet Pick Dialog.''What else do you think it would do?.''");
	}
	if(strCBText == "Button - ''About''")
	{
      m_str_help = _T("\n\n\nDisplays Fleet Pick Version and Author Info.\nAlso provides a button link to the 12 Omega site.");
	}
	if(strCBText == "TOPIC  ''Important Rules to Follow.''")
	{
      m_str_help = _T(" 1. Always 'Save' your 'Game Set' when you first create it and / or make any changes to it.\n2.Make sure that all Host Selected and Player Selected check options match with other players.\n3. Make sure that you enter the correct Ship Designations.\nAll ships must be in quotations.\n  i.e ''f-bcf'' <- Will not work.\n  ''BCF'' <- Will not Work\n  F-BCF <- Will not work.\n  ''F-BCF'' <- Will work.\n\n4. You must set the 'Start Positions' for ALL ships that you add in the edit boxes.\n5. Use Ship Edit to copy and paste ship designations this way you know for sure that the entries are correct.");
	}
	if(strCBText == "TOPIC ''Developer Notes''")
	{
      m_str_help = _T("\n\n Fleet Pick v2.B for Starfleet Command Orion Pirates.\n\nDeveloped by Vaughn Martin a.k.a 'Centauri Vaughn'\nFleet Pick was created using Microsoft Visual C++ 6.0, Taldren OP API - R2.2, and James E. King III (a.k.a 'MagnumMan's') ShipList Library.");
	}
	if(strCBText == "TOPIC - 'Fleet Pick's Output Files'")
	{
      m_str_help = _T("FILE: 'FPData.DAT': Located on your main SFC OP directory.\nThis file stores your custom 'Game Sets'.\nYou can choose to delete an individual Game Set by clicking the 'Delete Button' or delete the entire file. If the entire data file is deleted, Fleet Pick will re-generate a new one.\n\nFILE: 'FleetPick Startup.txt'\nLocated on your local 'C Drive'.\nIt displays Ship(s) ID and Start Positions used the game.\nFile is useful for pin pointing ships that do not show due to modeling errors.\n\nFILE: 'FleetPick Records.txt'. Located on your local 'C Drive'\nDisplays the stats for all Team Ships used in the game. This file makes Fleet Pick the best script to use for online multiplayer tournaments.");
	}
	if(strCBText == "TOPIC  ''Mission Types''")
	{
      m_str_help = _T("Fleet Pick can be used for both multi and single player skirmishes.\n\nNOTE: All ''Host Selected'' ship entries from P2-P6 will be ignored in single player missions.");     
	}
    if(strCBText == "Revisions from ''v2.A - v2.B''")
	{
      m_str_help = _T("\nFleet Pick v2.A - Original Release (10/25/2004)\n\nFleet Pick v2.B - Added hail feature that allows Human Player's to take control over allied AI Team Ships.\n\nIncludes ''His_FleetPick.scr'' script file for Single Player Missions.");     
	}


    UpdateData(FALSE);
   
}
