// FleetPickOPDlg.h : header file
//

#if !defined(AFX_FLEETPICKOPDLG_H__F983375D_BEE8_43C8_9A0D_C320C048BE5E__INCLUDED_)
#define AFX_FLEETPICKOPDLG_H__F983375D_BEE8_43C8_9A0D_C320C048BE5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DlgMap.h"
#include "MapData.h"
#include "AutoCompleteComboBox.h"
#include "ShipData.h"
#include "HelpDlg.h"
/////////////////////////////////////////////////////////////////////////////
// CFleetPickOPDlg dialog

class CFleetPickOPDlg : public CDialog
{
// Construction
public:
	void SetSavedPositions();
	void InitializeDialog();
	void SaveRecords();
	void FillComboBox();
	void LoadData();
	BOOL CanSerialize();
	void OnStartPositions();
	CFleetPickOPDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFleetPickOPDlg)
	enum { IDD = IDD_FLEETPICKOP_DIALOG };
	CAutoCompleteComboBox	m_cbo_title;
	BOOL	m_chkp1;
	CString	m_edit_p1;
	CString	m_p1_pos;
	CString	m_a2_pos;
	CString	m_a3_pos;
	CString	m_a4_pos;
	CString	m_a5_pos;
	CString	m_a1_pos;
	CString	m_a6_pos;
	CString	m_a7_pos;
	CString	m_a8_pos;
	CString	m_b1_pos;
	CString	m_b2_pos;
	CString	m_b3_pos;
	CString	m_b4_pos;
	CString	m_b5_pos;
	CString	m_b6_pos;
	CString	m_b7_pos;
	CString	m_b8_pos;
	BOOL	m_chka1;
	BOOL	m_chka2;
	BOOL	m_chka3;
	BOOL	m_chka4;
	BOOL	m_chka5;
	BOOL	m_chka6;
	BOOL	m_chka7;
	BOOL	m_chka8;
	BOOL	m_chkb1;
	BOOL	m_chkb2;
	BOOL	m_chkb3;
	BOOL	m_chkb4;
	BOOL	m_chkb5;
	BOOL	m_chkb6;
	BOOL	m_chkb7;
	BOOL	m_chkb8;
	BOOL	m_chk_host;
	BOOL	m_chkp2;
	BOOL	m_chkp3;
	BOOL	m_chkp4;
	BOOL	m_chkp5;
	BOOL	m_chkp6;
	BOOL	m_chk_player;
	CString	m_edit_a1;
	CString	m_edit_a2;
	CString	m_edit_a3;
	CString	m_edit_a4;
	CString	m_edit_a5;
	CString	m_edit_a6;
	CString	m_edit_a7;
	CString	m_edit_a8;
	CString	m_edit_b1;
	CString	m_edit_b2;
	CString	m_edit_b3;
	CString	m_edit_b4;
	CString	m_edit_b5;
	CString	m_edit_b6;
	CString	m_edit_b7;
	CString	m_edit_b8;
	CString	m_edit_p2;
	CString	m_edit_p3;
	CString	m_edit_p4;
	CString	m_edit_p5;
	CString	m_edit_p6;
	CString	m_p2_pos;
	CString	m_p3_pos;
	CString	m_p4_pos;
	CString	m_p5_pos;
	CString	m_p6_pos;
	int	m_ai_intel;
	CString	m_str_gameset;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFleetPickOPDlg)
	public:
	virtual void Serialize(CArchive& ar);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
    TFleetPickDataCollection m_FleetPickData;
	// Generated message map functions
	//{{AFX_MSG(CFleetPickOPDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheckP1();
	afx_msg void OnBtnSe();
	afx_msg void OnCheckP2();
	afx_msg void OnCheckP3();
	afx_msg void OnCheckP4();
	afx_msg void OnCheckP5();
	afx_msg void OnCheckP6();
	afx_msg void OnCheckA1();
	afx_msg void OnCheckA2();
	afx_msg void OnCheckA3();
	afx_msg void OnCheckA4();
	afx_msg void OnCheckA5();
	afx_msg void OnCheckA6();
	afx_msg void OnCheckA7();
	afx_msg void OnCheckA8();
	afx_msg void OnCheckB1();
	afx_msg void OnCheckB2();
	afx_msg void OnCheckB3();
	afx_msg void OnCheckB4();
	afx_msg void OnCheckB5();
	afx_msg void OnCheckB6();
	afx_msg void OnCheckB7();
	afx_msg void OnCheckB8();
	afx_msg void OnCheckHost();
	afx_msg void OnCheckPlayer();
	afx_msg void OnBtnMap();
	afx_msg void OnSelchangeP1Pos();
	virtual void OnOK();
	afx_msg void OnChangeEditP1();
	afx_msg void OnChangeEditP2();
	afx_msg void OnChangeEditP3();
	afx_msg void OnChangeEditP4();
	afx_msg void OnChangeEditP5();
	afx_msg void OnChangeEditP6();
	afx_msg void OnChangeEditA1();
	afx_msg void OnChangeEditA2();
	afx_msg void OnChangeEditA3();
	afx_msg void OnChangeEditA4();
	afx_msg void OnChangeEditA5();
	afx_msg void OnChangeEditA6();
	afx_msg void OnChangeEditA7();
	afx_msg void OnChangeEditA8();
	afx_msg void OnChangeEditB1();
	afx_msg void OnChangeEditB2();
	afx_msg void OnChangeEditB3();
	afx_msg void OnChangeEditB4();
	afx_msg void OnChangeEditB5();
	afx_msg void OnChangeEditB6();
	afx_msg void OnChangeEditB7();
	afx_msg void OnChangeEditB8();
	afx_msg void OnSelchangeP2Pos();
	afx_msg void OnSelchangeP3Pos();
	afx_msg void OnSelchangeP4Pos();
	afx_msg void OnSelchangeP5Pos();
	afx_msg void OnSelchangeP6Pos();
	afx_msg void OnSelchangeA1Pos();
	afx_msg void OnSelchangeA2Pos();
	afx_msg void OnSelchangeA3Pos();
	afx_msg void OnSelchangeA4Pos();
	afx_msg void OnSelchangeA5Pos();
	afx_msg void OnSelchangeA6Pos();
	afx_msg void OnSelchangeA7Pos();
	afx_msg void OnSelchangeA8Pos();
	afx_msg void OnSelchangeB1Pos();
	afx_msg void OnSelchangeB2Pos();
	afx_msg void OnSelchangeB3Pos();
	afx_msg void OnSelchangeB4Pos();
	afx_msg void OnSelchangeB5Pos();
	afx_msg void OnSelchangeB6Pos();
	afx_msg void OnSelchangeB7Pos();
	afx_msg void OnSelchangeB8Pos();
	afx_msg void OnSelchangeComboTitle();
	afx_msg void OnBtnSave();
	virtual void OnCancel();
	afx_msg void OnDestroy();
	afx_msg void OnBtnDelete();
	afx_msg void OnBtnAbout();
	afx_msg void OnBtnHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FLEETPICKOPDLG_H__F983375D_BEE8_43C8_9A0D_C320C048BE5E__INCLUDED_)
